#include <stdio.h>
#include <stdlib.h>
#include <string.h>

static char *FILLER_STRING="........................................................................";
static int FILLER_STEP=1024*1024;

static void print_syntax()
{
	printf("usage: filler <filename>\n");
	printf("example: filler tmp.bin\n");
}

static int do_fill(char *filename)
{
	int result=0;
	FILE *f;

	f=fopen(filename,"w");
	if (f)
	{
		int i=0;
		int len;

		len=strlen(FILLER_STRING);
		while (fprintf(f,"%s\n",FILLER_STRING)>0)
		{
			i+=len;
			while (i>FILLER_STEP)
			{
				i-=FILLER_STEP;
				printf(".");
				fflush(stdout);
			}
		}	
		fclose(f);
		printf("\n");
	}
	else
	{
		result=1;
		printf("unable to open file %s\n",filename);
	}

	return result;
}

int main(int argc, char **argv)
{
	int result=1;

	if (argc<2)
	{
		print_syntax();
	}
	else
	{
		char *filename;

		filename=argv[1];

		result=do_fill(filename);
	}

	return result;
}
